Name:           python-craft-store
Version:        3.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Store bindings for Snaps and Charms

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/canonical/craft-store
Source:         %{pypi_source craft_store}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'craft-store' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-craft-store
Summary:        %{summary}

%description -n python3-craft-store %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-craft-store docs,lint,release,tics,types


%prep
%autosetup -p1 -n craft_store-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs,lint,release,tics,types


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-craft-store -f %{pyproject_files}


%changelog
%autochangelog